<?php

class stringUtil {

  function __construct() {
  }

  function __destruct() {
  }

  public function isEmpty($str){
    if (is_null($str)){
      return TRUE;
    }
    if ($str == "") {
      return TRUE;
    }

    return FALSE;
  }

  public function isValid($str){
    return !!!$this->isEmpty($str);
  }

  public function toNumber($str) {
    $seach = array("%",",");
    return str_replace( $seach, "", $str);
  }

  public function nvl0($str) {
    if(empty($str)){
      return 0;
    }
    return 1.0 * $str;
  }

  public function nvl($str1,$str2) {
    if (is_null($str1)){
      return $str2;
    }
    if ($str1 == "") {
      return $str2;
    }

    return $str1;
  }
}

?>
